Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.1.5 »
- erfa Package »
- c2s

# c2s

erfa.c2s(p)

  P-vector to spherical coordinates.

  Parameters:
    p double array
  Returns:
    theta double array
    phi double array

  Notes

  Wraps ERFA function `eraC2s`. The ERFA documentation is:

      - - - - - - -
       e r a C 2 s
      - - - - - - -

      P-vector to spherical coordinates.

      Given:
         p      double[3]    p-vector

      Returned:
         theta  double       longitude angle (radians)
         phi    double       latitude angle (radians)

      Notes:

      1) The vector p can have any magnitude; only its direction is used.

      2) If p is null, zero theta and phi are returned.

      3) At either pole, zero theta is returned.

      This revision:  2021 May 11

      Copyright (C) 2013-2023, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.